Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

ff 45 & thund'ird 45 failing to connect. I can only run ff23 on win 7. Why can't I use latest versions? I do I need to do? Thanks.

  • 1 odgovor
  • 1 ima ovaj problem
  • 3 views
  • Posljednji odgovor poslao cor-el

more options

ff 45 & thund'ird 45 failing to connect. I can only run ff23 on win 7. Why can't I use latest versions? I do I need to do? Thanks.

All Replies (1)

more options

Firefox 23 is really old and you shouldn't use it.

Did Firefox 44 or any other older version work?


It is possible that your firewall or other security software blocks or restricts Firefox or the plugin-container process without informing you, possibly after detecting changes (update) to the Firefox program.

Remove all rules for Firefox and the plugin-container from the permissions list in the firewall and let your firewall ask again for permission to get full, unrestricted, access to install for Firefox and the plugin-container process and the updater process.

Boot the computer in Windows Safe mode with network support to see if that has effect in case security software is causing problems.

See: